<form>
  <div class="row" id="fn">
    <div class="col-4">
      <input type="text" class="form-control" placeholder="First name">
    </div>
    </div>

     <div class="row" id="p"> 
    <div class="col-4">
      <input type="password" class="form-control" placeholder="password">
  </div>
   </div>
   <a routerLink="/generate" class="btn btn-primary" id="button">  LogIn   </a>
  </form> 